OpenNMS API 1.2.9

## org.opennms.netmgt.poller.monitors
Class NrpeMonitor

    java.lang.Object
      org.opennms.netmgt.poller.monitors.IPv4LatencyMonitor
          org.opennms.netmgt.poller.monitors.NrpeMonitor

All Implemented Interfaces:
  ServiceMonitor

public final class NrpeMonitor
extends IPv4LatencyMonitor

This class is designed to be used by the service poller framework to test the availability of a generic TCP service on remote interfaces. The class implements the ServiceMonitor interface that allows it to be used along with other plug-ins by the service poller framework.

Author:
  DJ Gregor, Tarus Balog , Mike , Weave, OpenNMS

Field Summary
`private static int` `DEFAULT_RETRY` Default retries.
`private static int` `DEFAULT_TIMEOUT` Default timeout.

Fields inherited from class org.opennms.netmgt.poller.monitors.IPv4LatencyMonitor
`DS_NAME`

Fields inherited from interface org.opennms.netmgt.poller.monitors.ServiceMonitor
`SERVICE_AVAILABLE, SERVICE_STATUS_MASK, SERVICE_UNAVAILABLE, SERVICE_UNKNOWN, SERVICE_UNRESPONSIVE, SURPRESS_EVENT_MASK`

Constructor Summary
`NrpeMonitor()`

Method Summary
`int` `poll(NetworkInterface iface, java.util.Map parameters, Package pkg)` Poll the specified address for service availability.

Methods inherited from class org.opennms.netmgt.poller.monitors.IPv4LatencyMonitor
`createRRD, initialize, initialize, release, release, updateRRD`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_RETRY

    private static final int DEFAULT_RETRY

  Default retries.

  See Also:
    Constant Field Values

### DEFAULT_TIMEOUT

    private static final int DEFAULT_TIMEOUT

  Default timeout. Specifies how long (in milliseconds) to block waiting for data from the monitored interface.

  See Also:
    Constant Field Values

Constructor Detail

### NrpeMonitor

    public NrpeMonitor()

Method Detail

### poll

    public int poll(NetworkInterface iface,
                    java.util.Map parameters,
                    Package pkg)

  Poll the specified address for service availability. During the poll an attempt is made to connect on the specified port. If the connection request is successful, the banner line generated by the interface is parsed and if the banner text indicates that we are talking to Provided that the interface's response is valid we set the service status to SERVICE_AVAILABLE and return.

  Parameters:
    `parameters` - The package parameters (timeout, retry, etc...) to be used for this poll.
    `iface` - The network interface to test the service on.
  Returns:
    The availibility of the interface and if a transition event should be supressed.
  Throws:
    `java.lang.RuntimeException` - Thrown if the interface experiences errors during the poll.
  See Also:
    `ServiceMonitor.SURPRESS_EVENT_MASK`, `ServiceMonitor.SERVICE_AVAILABLE`, `ServiceMonitor.SERVICE_UNAVAILABLE`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.